package com.aoc.psisclient.config;

import java.net.MalformedURLException;
import java.net.URL;

public class PsisClientFactoryConfigurator implements PsisClientFactoryConfigurable {
	public URL getDSSEndpoint() {
		URL url = null;
		try {
			// PSIS DSS endpoint
			@SuppressWarnings("unused")
			final String PRO_URL_DSS_ENDPOINT = "https://psis.aoc.cat/psis/catcert/dss";
			final String PRE_URL_DSS_ENDPOINT = "https://psis-pre.aoc.cat/psis/catcert-test/dss";

			url = new URL(PRE_URL_DSS_ENDPOINT);

		} catch (MalformedURLException e) {
		}
		return url;
	}

	public URL getDSSPDFEndpoint() {
		URL url = null;
		try {
			// PSIS DSSPDF endpoint
			@SuppressWarnings("unused")
			final String PRO_URL_DSSPDF_ENDPOINT = "https://psis.aoc.cat/psis/catcert/dsspdf";
			final String PRE_URL_DSSPDF_ENDPOINT = "https://psis-pre.aoc.cat/psis/catcert-test/dsspdf";

			url = new URL(PRE_URL_DSSPDF_ENDPOINT);

		} catch (MalformedURLException e) {
		}
		return url;
	}
}